/*line*/
.progress-line-container {
            --dashed-line: 3px dotted var(--accent-color);
            --solid-line: 4px solid var(--accent-color);
            --step-element-box-shadow: 0 5px 10px 2px var(--shadow);


            width: 100%;
            max-width: 1280px;
            margin: 30px auto;
            padding: 30px 0;
        }

        .pl-steps-wrapper {
            display: flex;
            flex-direction: column;
            align-items: center;
            justify-content: center;
            gap: 24px;
            position: relative;
            width: 80%;
            margin: 0 auto;
        }

        .pl-steps-wrapper .pl-step {
            display: flex;
            flex-direction: row;
            justify-content: flex-start;
            align-items: center;
            gap: 10px;
            width: 100%;
            position: relative;
            box-sizing: border-box;
        }

        .pl-steps-wrapper .pl-step:hover .step-num {
            transform: translateX(0) scale(1.05) rotate(2deg);
        }
        .pl-steps-wrapper .pl-step:hover .step-icon {
            transform: translateX(0) scale(1.05) rotate(1deg);
        }


        .pl-steps-wrapper.with-solid-line .pl-step::before {
            border-left: var(--solid-line);
        }

        .pl-steps-wrapper:not(.with-solid-line) .pl-step::before {
            border-left: var(--dashed-line);
        }

        .pl-steps-wrapper:not(.with-step-nums) .pl-step .step-icon {
            display: block;
        }

        .pl-steps-wrapper.with-step-nums .pl-step .step-num {
            display: flex;
        }

        .pl-steps-wrapper:not(.with-step-nums) .pl-step:not(:last-child)::before {
            content: "";
            width: 1px;
            height: 120%;
            position: absolute;
            left: 44px;
            top: 50%;
            z-index: 1;
        }

        .pl-steps-wrapper.with-step-nums .pl-step:not(:last-child)::before {
            content: "";
            width: 1px;
            height: 120%;
            position: absolute;
            left: 23px;
            top: 40%;
            z-index: 1;
        }

        .pl-step .step-num {
            display: none;
            /*display: flex;*/
            align-items: center;
            justify-content: center;
            align-self: flex-start;
            width: 48px;
            min-width: 48px;
            height: 48px;
            border: var(--solid-line);
            border-radius: 50px;
            padding: 10px;
            z-index: 3;
            background-color: var(--accent-color);
            color: var(--contrast-color);
            font-size: 24px;
            -webkit-box-shadow: var(--step-element-box-shadow);
            -moz-box-shadow: var(--step-element-box-shadow);
            box-shadow: var(--step-element-box-shadow);
        }

        .pl-step .step-icon {
            display: none;
            align-self: flex-start;
            width: 88px;
            min-width: 88px;
            height: 88px;

            border: var(--solid-line);
            border-radius: 9px;
            padding: 16px;
            z-index: 3;
            background-color: var(--app-background);
            -webkit-box-shadow: var(--step-element-box-shadow);
            -moz-box-shadow: var(--step-element-box-shadow);
            box-shadow: var(--step-element-box-shadow);
        }

        .pl-step .step-icon img {
            display: block;
            width: 100%;
            height: 100%;
            object-fit: contain;
        }

        .pl-step .pl-step-info {
            margin-left: 10px;
        }

        .pl-step .pl-step-info .step-title {
            font-weight: bold;
        }

        .pl-step .pl-step-info .step-text {
            margin-top: 10px;
            color: var(--text-grey-2);
        }

        @media (width >= 1200px) {
            .pl-steps-wrapper {
                flex-direction: row;
                align-items: flex-start;
                gap: 32px;
                width: 100%;
                margin: 0;
                padding-top: 50px;
            }

            .pl-steps-wrapper .pl-step {
                flex-direction: column;
            }

            .pl-steps-wrapper .pl-step:hover .step-num {
                transform: translateX(-50%) scale(1.05) rotate(2deg);
            }
            .pl-steps-wrapper .pl-step:hover .step-icon {
                transform: translateX(-50%) scale(1.05) rotate(1deg);
            }

            .pl-steps-wrapper.with-solid-line .pl-step::before {
                border-top: var(--solid-line);
            }

            .pl-steps-wrapper:not(.with-solid-line) .pl-step::before {
                border-top: var(--dashed-line);
            }

            .pl-steps-wrapper:not(.with-step-nums) .pl-step:not(:last-child)::before {
                content: "";
                width: 100%;
                height: 0;
                left: 60%;
                top: 0;
            }

            .pl-steps-wrapper.with-step-nums .pl-step:not(:last-child)::before {
                content: "";
                width: 100%;
                height: 0;
                left: 60%;
                top: 0;
            }

            .pl-step .step-num {
                width: 58px;
                min-width: 58px;
                height: 58px;
                position: absolute;
                top: -28px;
                left: 50%;
                transform: translateX(-50%);
            }

            .pl-step .step-icon {
                position: absolute;
                top: -44px;
                left: 50%;
                transform: translateX(-50%);
            }

            .pl-step .pl-step-info {
                margin: 80px 0 0 0;
                text-align: center;
            }
        }
/*cards*/
.program-cards-container {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;
            justify-content: center;
            align-items: flex-start;
            gap: 16px;
            width: 100%;
            max-width: 1280px;
            margin: 30px auto;
            padding: 30px 0;
        }

        .pc-card {
            display: flex;
            flex-direction: column;
            width: 100%;
            max-width: none;
            flex-grow: 1;
            height: 240px;
            min-height: 240px;
            box-sizing: border-box;
            /*border-bottom: 6px solid #28BE46;*/
            position: relative;
            overflow: hidden;
            box-shadow: 0 0 5px #646cff50;
        }

        .pc-card img {
            width: 100%;
            height: 100%;
            object-fit: cover;
        }

        .pc-card .pc-card-title {
            display: block;
            width: 100%;
            min-height: 32px;
            position: absolute;
            left: 0;
            bottom: 0;
            color: var(--contrast-color);
            font-weight: 700;
            background-color: rgba(3,3,3, 0.4);
            padding: 16px;
            /*border-left: 6px solid #28BE46;*/
        }

        @media (width >= 680px) {
            .pc-card {
                max-width: 308px;
                height: 380px;
                min-height: 380px;
            }
            .pc-card-empty {
                height: 0;
                max-width: 308px;
                min-width: 308px;
                flex-grow: 1;
            }

            .pc-card:hover img{
                transform: scale(1);
                filter: blur(2px);
            }

            .pc-card img {
                width: 100%;
                height: 100%;
                object-fit: cover;
                transition: all ease .3s;
                filter: blur(0px);
                transform: scale(1.03);
            }
        }